Runs
GET
/organizations/{organizationId}/approvals/{approvalId}/runs
List approval flow runs
Parámetros de consulta
pageToken
string
The cursor that keeps track of the current position in the results.
limit
integer
Limits the number of results to return.
reverse
boolean
Reverses the order in which the results are returned.
status
string
Filter approval runs by status
Possible values: pending, approved, denied, canceled
Cuerpo de la respuesta
results
array of object
Mostrar atributos secundarios
results.id
string
obligatorio
results.approvalFlowId
string
obligatorio
results.organizationId
string
results.workspaceId
string
results.status
string
obligatorio
Possible values: pending, approved, denied, canceled
results.activeStep
number
results.previousObject
object
results.object
object
results.invoker
object
Reference to an entity that invoked the run for this flow.
Mostrar atributos secundarios
results.invoker.type
string
obligatorio
Type of entity that invoked the run.
Possible values: user, accesskey, contact
results.invoker.id
string
obligatorio
ID of the entity that invoked the run.
results.tags
array of object
obligatorio
Mostrar atributos secundarios
results.tags.key
string
obligatorio
results.tags.value
string
obligatorio
results.results
array of object
obligatorio
Mostrar atributos secundarios
results.results.reviewer
object
Reference to an entity that can review the runs for this flow.
Mostrar atributos secundarios
results.results.reviewer.type
string
obligatorio
Possible values: user
results.results.reviewer.id
string
obligatorio
results.results.userId
string
results.results.result
string
obligatorio
Possible values: approved, rejected
results.results.comment
string
results.createdAt
string
obligatorio
results.updatedAt
string
obligatorio
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Ejemplo de código
curl -X GET 'https://api.bird.com/organizations/{organizationId}/approvals/{approvalId}/runs' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/organizations/{organizationId}/approvals/{approvalId}/runs/{approvalRunId}
Get approval flow run
Cuerpo de la respuesta
id
string
obligatorio
approvalFlowId
string
obligatorio
organizationId
string
workspaceId
string
status
string
obligatorio
Possible values: pending, approved, denied, canceled
activeStep
number
previousObject
object
object
object
invoker
object
Reference to an entity that invoked the run for this flow.
Mostrar atributos secundarios
invoker.type
string
obligatorio
Type of entity that invoked the run.
Possible values: user, accesskey, contact
invoker.id
string
obligatorio
ID of the entity that invoked the run.
tags
array of object
obligatorio
Mostrar atributos secundarios
tags.key
string
obligatorio
tags.value
string
obligatorio
results
array of object
obligatorio
Mostrar atributos secundarios
results.reviewer
object
Reference to an entity that can review the runs for this flow.
Mostrar atributos secundarios
results.reviewer.type
string
obligatorio
Possible values: user
results.reviewer.id
string
obligatorio
results.userId
string
results.result
string
obligatorio
Possible values: approved, rejected
results.comment
string
createdAt
string
obligatorio
updatedAt
string
obligatorio
Ejemplo de código
curl -X GET 'https://api.bird.com/organizations/{organizationId}/approvals/{approvalId}/runs/{approvalRunId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'